        .SPACE  $TEXT$
        .SUBSPA $CODE$,QUAD=0,ALIGN=8,ACCESS=44,CODE_ONLY
        .IMPORT &mFNAM2,code
        .IMPORT $$dyncall,millicode
        .export &mFNAME,entry
C.&mFNAME .equ 0x4bc23fd1
&mFNAME
	.proc
	.callinfo
	.entry
	; Kill the intermediate stub that handles inter-space return
	; - rely on $$dyncall to store r2 in -24(sp) and go to a stub
        ;   that handles interspace returns
	copy	%r2,%r1
	depi    0,31,2,%r1
        ldw     0(%r1),%r22
        ldil    L'C.&mFNAME,%r1
        ldo     R'C.&mFNAME(%r1),%r31
        combf,=,n  %r22,%r31,.+8
	ldw     -24(%sp),%r2
	addil   LT'PL.m.&mFNAME,%r19,%r1
	ldw     RT'PL.m.&mFNAME(%r1),%r1
	ldw	0(%r1),%r22
	b,l	.+8,%r1
	addil   l'$$dyncall-P2.&mFNAME,%r1,%r1
P2.&mFNAME
        ldo     r'$$dyncall-P2.&mFNAME(%r1),%r1
	ldsid   (%r1),%r31
	mtsp    %r31,%sr0
	be 	0(%sr0,%r1)
	nop
	.procend
	.SPACE	$TEXT$
	.SUBSPA	$CODE$
	.SPACE	$PRIVATE$,SORT=16
	.SUBSPA	$DATA$,QUAD=1,ALIGN=8,ACCESS=0x1f,SORT=16
PL.m.&mFNAME
	.ALIGN	8
	.WORD  P'&mFNAM2
